Page MenuHomePhabricator

Links in nnwiki are not adapted to nowiki
Closed, ResolvedPublic1 Story Points

Description

Links existing in articles at Norwegian (nynorsk) Wikipedia (nnwiki) is not retained during translation to Norwegian (bokmål) and further publishing. If the link is marked as "missing" it is retained during publishing, and if it is removed and then re-added then it is also retained.

Screendump of an article from Norwegian (nynorsk) Wikipedia during editing. Links there, as it seems..

This link has a working pairing to the article at Norwegian (bokmål) Wikipedia.

Then publishing the article the links are not retained.

Event Timeline

jeblad created this task.Aug 8 2015, 1:46 AM
jeblad updated the task description. (Show Details)
jeblad raised the priority of this task from to Needs Triage.
jeblad added a project: ContentTranslation.
jeblad added a subscriber: jeblad.
Restricted Application added a subscriber: Aklapper. · View Herald TranscriptAug 8 2015, 1:46 AM
jeblad added a comment.Aug 8 2015, 6:49 AM

Compared with this video the links should be blue and not grey. It seems like something is wrong already when I did the first screendump.

Arrbee edited a custom field.Aug 12 2015, 7:21 AM
Amire80 renamed this task from Links in nnwiki are not retained (translated) to nowiki to Links in nnwiki are not adapted to nowiki.Aug 12 2015, 7:24 AM
Amire80 added a subscriber: Amire80.

OK, I can reproduce it.

If the URL is https://no.wikipedia.org/w/index.php?title=Spesial:Innholdsoversettelse&page=Garvan+Point&from=nn&to=nb&targettitle=User%3AAmire80%2FGarvan , then adaptation just doesn't work. Trinityhalvøya exists in both no.wiki and nn.wiki, and is not adapted.

(As a comment, we usually call it link adaptation.)

Change 233720 had a related patch set uploaded (by Amire80):
Add mapping from the 'nb' language to the 'no' domain

https://gerrit.wikimedia.org/r/233720

Amire80 claimed this task.Aug 25 2015, 3:10 PM
Amire80 moved this task from Backlog to In Review on the LE-CX6-Sprint 2 board.
Arrbee moved this task from Backlog to In Review on the LE-CX6-Sprint 3 board.Aug 26 2015, 11:56 AM

Change 233720 merged by jenkins-bot:
Add mapping from the 'nb' language to the 'no' domain

https://gerrit.wikimedia.org/r/233720

Nikerabbit moved this task from In Review to Done on the LE-CX6-Sprint 3 board.Aug 27 2015, 11:23 AM
Amire80 closed this task as Resolved.Sep 4 2015, 6:13 AM

Verified in production.